SOSOrdi.net
Soutien
Identification
Pas encore inscrit(e) ? Cliquez-ici
La May Update de Windows 10 (2004) est déployée : qu'en pensez-vous ?

Erreur Framework.NET 4.7.2

Bonjour,

Un de mes logiciel me demande d'installer le Framework.NET 4.7.2 car il n'est pas installé. Le logiciel lance son installation mais un message d'erreur apparait : ".NET Framework 4.7.2 ou une mise à jour ultérieure est déjà installé sur cet ordinateur".
Dans mon registre, je retrouve ceci :Ordinateur\HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\.NETFramework\v4.0.30319\SKUs\.NETFramework,Version=v4.7.2
Serait-il déjà installé ?! J'ai essayé de le réinstaller manuellement mais j'ai le même message d'erreur. Serait-ce la version 4.8 qui fait buguée ?


Qu'en pensez vous ? Que me conseillez vous ?

Merci d'avance.
posté le 9 Oct 2019 dans la catégorie Windows par tiantian
modifié le 9 Oct 2019 par tiantian

28 Réponses

Si tu as Ccleaner fais un nettoyage .

Si tu ne l'as pas =>https://www.ccleaner.com/fr-fr
répondu le 23 Oct 2019 par bird
J'avais très peu d'espoir vu que je l'ai déjà et non ça n'a rien changé un nettoyageyage avec CCleaner.
répondu le 25 Oct 2019 par tiantian
Citation:
je pense que la solution c'est de supprimer le framework 4.8 ce qui permettrait de réinstaller le 4.7.2. qu'en penses-tu ?

Suis ce lien =>https://quickbookscanada-francais.lc.intuit.com/articles/1768307-corriger-manuellement-les-erreurs-microsoft-net-framework
répondu le 25 Oct 2019 par bird
Salut Bird,

J'ai voulu voir d'où le problème venait réellement.
Du coup j'ai remis un windows "neuf" en prenant une image iso.
Réinstaller le logiciel. Au passage j'ai du réinstaller le service pack 1 framework 3.5 pour passer à la mise à jour suivante.
La mise à jour coince encore au même endroit et demande le framework 4.7.2 qui n'est pas présent sur l'ordinateur et qui ne veut toujours pas s'installer dû à la version 4.8.
j'ai activer tous les services (windows et fonctionnalité). Je n'ai que le framework 3.5 service pack 1 et 4.8. Manque le 4.7.2 qui n'est pas installé.

Du coup je suis toujours au même point. J'attends ton aide !
Merci !
répondu le 25 Oct 2019 par tiantian
J'ai essayer de désactiver framework 4.8 mais rien n'y fait. Il faut trouver comment le supprimer je pense.
répondu le 25 Oct 2019 par tiantian
Aidez SOSOrdi.net !
As tu essayer d'installer le framework 4.7.2 sur ton pc ?
http://go.microsoft.com/fwlink/?linkid=863265
répondu le 25 Oct 2019 par tiantian
Citation:
Du coup j'ai remis un windows "neuf" en prenant une image iso.

As-tu formater ton dd pendant l'installation ?


J'ai effectuer l'installation et j'ai eu le même message que le tien.

pe0f.png



Modération::

Evite de faire plusieurs posts à la suite,tu peux éditer en dernier post en cliquant sur Modifier.
répondu le 25 Oct 2019 par bird
modifié le 25 Oct 2019 par bird
Affirmatif, j'ai reformater le disque dur, et changer la partition en gpt.

(Oui je réédite les prochaines fois, excuse moi)
répondu le 26 Oct 2019 par tiantian
Pour le moment je n'ai pas trouvé de réelle solution à ton problème tiantian.
répondu le 26 Oct 2019 par bird
Il y a toujours une solution. :)

Une solution possible c'est de prendre une iso d'une os plus ancienne où de base le framework 4.8 n'est pas installé et ou l'on peut installer le 3.5 et le 4.7.2... Si vraiment je n'arrive pas je ferais ça.

Deuxième solution : Ce genre de logiciel a une assistance "payante" qui coute assez cher (Plus chère que le logiciel lui même). J'ai posté une question sur leur forum. On va voir s'ils sont assez aimable pour répondre car eux connaissent la solution puisque se sont les développeurs du logiciel !

Autant dire que rien n'est perdu et pour tout dire je peux largement continuer d'utiliser le logiciel pour l'instant mais je ne supporte pas que ca ne soit pas à jour surtout pour du professionnel.

Merci de ton aide. Je testerai la solution 1 quand j'aurais du temps.
répondu le 26 Oct 2019 par tiantian
 
Solution
Salut Bird,

J'ai résolu le problème :

- Installe une version précedente de windows 10 (1902)
https://lecrabeinfo.net/telecharger-anciennes-versions-iso-windows-10.html

- active net_framework 3.5 (démarrer / parametres / applications / (descend tout en bas de la page : programmes et fonctionalité / activer ou désactiver des fonctionnalités de windows / coche la case

-réinstalle vega5

-mettre à jour windows

Merci encore pour ton aide.
répondu le 13 Nov 2019 par tiantian
élue le 15 Nov 2019 par tiantian
Bonjour et merci du retour tiantian,

Tu pourras clôturer ta question en sélectionnant ton dernier post comme solution,merci.
répondu le 13 Nov 2019 par bird

Questions associées:

3 réponses 165 vues
15 réponses 495 vues
posté le 1 Déc 2018 dans la catégorie Windows 8/8.1 par michpasco
30 réponses 1,175 vues
4 réponses 30 vues
posté le 14 Avr 2008 dans la catégorie Carte graphique par IANA
11 réponses 40 vues
Retour en haut
...